<div class="sub-page-container">
  <!-- Title -->
  <h1>{{ 'parameter.simulation.title' | translate }}</h1>
  <mat-divider></mat-divider>
  <div class="sub-page-body" *ngIf="simulation | async; let simulationValue">
    <div class="left-container">
      <div class="grid">
        <!-- 
          Num Wind Speeds 
        -->
        <div class="grid-item num-wind-speeds">
          <div class="title">
            <h2>{{ 'parameter.simulation.numberWindSpds' | translate }}</h2>
            <mat-icon
              [matTooltip]="
                'parameter.simulation.numberWindSpdsDescription' | translate
              "
              matTooltipPosition="right"
            >
              info_outlined
            </mat-icon>
          </div>
          <energy-platform-parameter-slider
            #numberWindSpds
            [unit]="schema?.simulation_model?.properties?.num_wind_speeds?.unit"
            [min]="
              schema?.simulation_model?.properties?.num_wind_speeds?.minimum
            "
            [max]="
              schema?.simulation_model?.properties?.num_wind_speeds?.maximum
            "
            [step]="schema?.simulation_model?.properties?.num_wind_speeds?.step"
            [value]="simulationValue.num_wind_speeds"
            (valueChange)="simulationValue.num_wind_speeds = $event"
          >
          </energy-platform-parameter-slider>
        </div>
        <!-- 
          Num Wind Directions 
        -->
        <div class="grid-item num-wind-directions">
          <div class="title">
            <h2>{{ 'parameter.simulation.numberWindDirs' | translate }}</h2>
            <mat-icon
              [matTooltip]="
                'parameter.simulation.numberWindDirsDescription' | translate
              "
              matTooltipPosition="right"
            >
              info_outlined
            </mat-icon>
          </div>
          <energy-platform-parameter-slider
            #numberWindDirs
            [unit]="
              schema?.simulation_model?.properties?.num_wind_directions?.unit
            "
            [min]="
              schema?.simulation_model?.properties?.num_wind_directions?.minimum
            "
            [max]="
              schema?.simulation_model?.properties?.num_wind_directions?.maximum
            "
            [step]="
              schema?.simulation_model?.properties?.num_wind_directions?.step
            "
            [value]="simulationValue.num_wind_directions"
            (valueChange)="simulationValue.num_wind_directions = $event"
          >
          </energy-platform-parameter-slider>
        </div>
        <!-- 
          Loss Wind Speed 
        -->
        <div class="grid-item loss-wind-speed">
          <div class="title">
            <h2>{{ 'parameter.simulation.lossWindSpd' | translate }}</h2>
            <mat-icon
              [matTooltip]="
                'parameter.simulation.lossWindSpdDescription' | translate
              "
              matTooltipPosition="right"
            >
              info_outlined
            </mat-icon>
          </div>
          <energy-platform-parameter-slider
            #lossWindSpd
            [unit]="
              schema?.simulation_model?.properties?.loss_wind_speed_percentage
                ?.unit
            "
            [min]="
              schema?.simulation_model?.properties?.loss_wind_speed_percentage
                ?.minimum
            "
            [max]="
              schema?.simulation_model?.properties?.loss_wind_speed_percentage
                ?.maximum
            "
            [step]="
              schema?.simulation_model?.properties?.loss_wind_speed_percentage
                ?.step
            "
            [value]="simulationValue.loss_wind_speed_percentage"
            (valueChange)="simulationValue.loss_wind_speed_percentage = $event"
          ></energy-platform-parameter-slider>
        </div>
        <!-- 
          Loss Wake Effect 
        -->
        <div class="grid-item loss-wake-effect">
          <div class="title">
            <h2>{{ 'parameter.simulation.lossWakeEff' | translate }}</h2>
            <mat-icon
              [matTooltip]="
                'parameter.simulation.lossWakeEffDescription' | translate
              "
              matTooltipPosition="right"
            >
              info_outlined
            </mat-icon>
          </div>
          <energy-platform-parameter-slider
            #lossWakeEff
            [unit]="
              schema?.simulation_model?.properties?.loss_wake_effect_percentage
                ?.unit
            "
            [min]="
              schema?.simulation_model?.properties?.loss_wake_effect_percentage
                ?.minimum
            "
            [max]="
              schema?.simulation_model?.properties?.loss_wake_effect_percentage
                ?.maximum
            "
            [step]="
              schema?.simulation_model?.properties?.loss_wake_effect_percentage
                ?.step
            "
            [value]="simulationValue.loss_wake_effect_percentage"
            (valueChange)="simulationValue.loss_wake_effect_percentage = $event"
          ></energy-platform-parameter-slider>
        </div>
        <!-- 
          Loss Power Curve 
        -->
        <div class="grid-item loss-power-curve">
          <div class="title">
            <h2>{{ 'parameter.simulation.lossPwrCurve' | translate }}</h2>
            <mat-icon
              [matTooltip]="
                'parameter.simulation.lossPwrCurveDescription' | translate
              "
              matTooltipPosition="right"
            >
              info_outlined
            </mat-icon>
          </div>
          <energy-platform-parameter-slider
            #lossPwrCurve
            [unit]="
              schema?.simulation_model?.properties?.loss_power_curve_percentage
                ?.unit
            "
            [min]="
              schema?.simulation_model?.properties?.loss_power_curve_percentage
                ?.minimum
            "
            [max]="
              schema?.simulation_model?.properties?.loss_power_curve_percentage
                ?.maximum
            "
            [step]="
              schema?.simulation_model?.properties?.loss_power_curve_percentage
                ?.step
            "
            [value]="simulationValue.loss_power_curve_percentage"
            (valueChange)="simulationValue.loss_power_curve_percentage = $event"
          ></energy-platform-parameter-slider>
        </div>
        <!-- 
          Loss Plant Performance 
        -->
        <div class="grid-item loss-plant-performance">
          <div class="title">
            <h2>{{ 'parameter.simulation.lossPlantPerf' | translate }}</h2>
            <mat-icon
              [matTooltip]="
                'parameter.simulation.lossPlantPerfDescription' | translate
              "
              matTooltipPosition="right"
            >
              info_outlined
            </mat-icon>
          </div>
          <energy-platform-parameter-slider
            #lossPlantPerf
            [unit]="
              schema?.simulation_model?.properties
                ?.loss_plant_performance_percentage?.unit
            "
            [min]="
              schema?.simulation_model?.properties
                ?.loss_plant_performance_percentage?.minimum
            "
            [max]="
              schema?.simulation_model?.properties
                ?.loss_plant_performance_percentage?.maximum
            "
            [step]="
              schema?.simulation_model?.properties
                ?.loss_plant_performance_percentage?.step
            "
            [value]="simulationValue.loss_plant_performance_percentage"
            (valueChange)="
              simulationValue.loss_plant_performance_percentage = $event
            "
          ></energy-platform-parameter-slider>
        </div>
        <!-- 
          Wake Model 
        -->
        <div class="grid-item wake-model">
          <div class="title">
            <h2>{{ 'parameter.simulation.wakeModel' | translate }}</h2>
            <mat-icon
              [matTooltip]="
                'parameter.simulation.wakeModelDescription' | translate
              "
              matTooltipPosition="right"
            >
              info_outlined
            </mat-icon>
          </div>
          <mat-radio-group
            class="radio-container"
            disableOptionCentering
            [(ngModel)]="simulationValue.wake_model"
          >
            <mat-radio-button value="park">Park</mat-radio-button>
            <mat-radio-button value="modified_park"
              >Modified Park</mat-radio-button
            >
          </mat-radio-group>
        </div>
        <!-- 
          Turbine Height Wind Speed Adjustment 
        -->
        <div class="grid-item turbine-wind-adjustment">
          <div class="title">
            <h2>
              {{ 'parameter.simulation.turbHeightWindSpdAdj' | translate }}
            </h2>
            <mat-slide-toggle
              color="primary"
              [(ngModel)]="simulationValue.turbine_height_wind_speed_adjustment"
            ></mat-slide-toggle>
          </div>
        </div>
      </div>
      <!--
        Save Button
      -->
      <button
        mat-raised-button
        class="pill-button save-button"
        [disabled]="
          !buttonValidator([
            numberWindSpds,
            numberWindDirs,
            lossWindSpd,
            lossWakeEff,
            lossPwrCurve,
            lossPlantPerf
          ])
        "
        (click)="onSave()"
      >
        {{ 'parameter.general.save' | translate }}
      </button>
    </div>
  </div>
</div>
